import { EmojiClickData, EmojiStyle, SkinTones, Theme } from '../types/exposedTypes';
import { CategoriesConfig } from './categoryConfig';
export declare function mergeConfig(userConfig?: PickerConfig): {
    categories: CategoriesConfig;
    searchPlaceHolder: string;
    defaultSkinTone: SkinTones;
    skinTonesDisabled: boolean;
    autoFocusSearch: boolean;
    emojiStyle: EmojiStyle;
    onEmojiClick: (event: MouseEvent, emoji: EmojiClickData) => void;
    showPreview: boolean;
    theme: Theme;
};
export declare function basePickerConfig(): PickerConfigInternal;
export declare type PickerConfigInternal = {
    searchPlaceHolder: string;
    defaultSkinTone: SkinTones;
    skinTonesDisabled: boolean;
    autoFocusSearch: boolean;
    emojiStyle: EmojiStyle;
    categories: CategoriesConfig;
    onEmojiClick: (event: MouseEvent, emoji: EmojiClickData) => void;
    showPreview: boolean;
    theme: Theme;
};
export declare type PickerConfig = Partial<PickerConfigInternal>;
